%define name pptview
%define version 8.0
%define release %mkrel 1

Summary: pptview - View PowerPoint slide shows 
Name:	 %{name}
Version: %{version}
Release: %{release}
URL:	  https://launchpad.net/ubuntu/hardy/+source/pptview/8.0-5
Source0:  %{name}_%{version}.orig.tar.gz
Source1:  pptview.1.gz
Source2:  ppt_icons.tar.bz2
Source3:  pptview
License:  Proprietary/freeware
Group:    Office
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: desktop-file-utils 
Requires: wine 

%description
pptview allows you to view and print PowerPoint slide shows. 
You cannot edit a presentation in PowerPoint Viewer.
pptview is an Intel PE (i386-pc-pe) binary and requires Wine to run.

%prep
%setup -q -n %{name}-%{version}.orig


%build

%install
rm -rf $RPM_BUILD_ROOT
# app launcher
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m755 %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}

mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}
install -m755 *.dll *.olb $RPM_BUILD_ROOT%{_libdir}/%{name}
install -m755 %{name} $RPM_BUILD_ROOT%{_libdir}/%{name}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
bzip2 -cd %{SOURCE2} | tar xf - -C $RPM_BUILD_ROOT%{_datadir}/pixmaps

mkdir -p $RPM_BUILD_ROOT%{_datadir}/man/man1
install -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/man/man1

# icons
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}\
         $RPM_BUILD_ROOT%{_iconsdir}
install -m 0644 -D ppt.png $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png
convert -geometry 32x32 ppt.png $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
convert -geometry 16x16 ppt.png $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png


# menu-entry
mkdir -p %buildroot%{_datadir}/applications/
cat > %buildroot%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=pptview
Comment=View PowerPoint slide shows
Exec=%{name}
Icon=%{name}
StartupNotify=true
Terminal=false
Type=Application
Categories=Office;X-MandrivaLinux-Office-Presentations;
EOF


# icons
mkdir -p $RPM_BUILD_ROOT/%{_miconsdir} \
	 $RPM_BUILD_ROOT/%{_iconsdir}
install -m 0644 -D ppt.png $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png
convert -geometry 32x32 ppt.png $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
convert -geometry 16x16 ppt.png $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png


%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus


%postun
%clean_menus


%files
%defattr(-,root,root)
%doc README LICENSE
%{_bindir}/%{name}
%{_libdir}/%{name}/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/man/man1
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Sat May 16 2009 slick50 <lxgator@gmail.com> 8.0-1pclos2007
- initial build
